Subject: Re: usr/include/ndbm.h duplicate in cygwin-1.3.11-2
From: Nicholas Wourms <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Jun 2002 04:00:04 -0700 (PDT)

Chuck,

It looks to me like it is db-1, not db-3...  There are /way/ too few
source files for it to be the latter.  This is, of course, highly
annoying.  Most linuxs come with the berkeley db, and now Cygwin does as
well.  It doesn't make sense for them to clobber an existing db.h, it
should be segregated in a libc-only header folder.  Either that, or like
glibc, keep db as an external dependancy.  *Sigh*, Chuck I guess I'll have
to figure out a new strategy for releasing the other Berkely DB's...  If
some kind soul who works for the crimson hat might confer with the newlib
folks regarding this situation, it would be most appreciated.  Meanwhile,
be aware that the db-2 packages will clobber cygwin-1.3.11 files and
vis-versa...

Cheers,
Nicholas
--- Charles Wilson <[email-masked]> wrote:
> Gerrit P. Haase wrote:
> 
> > Hallo cygwin,
> > 
> > cygwin/cygwin-1.3.11-2 The UNIX emulation engine:
> > Sat Jun 22 02:59:41 2002           2879 usr/include/ndbm.h
> > 
> > gdbm/gdbm-1.8.0-4 GNU dbm database routines (runtime version):
> > Wed Feb 20 03:05:51 2002           2003 usr/include/ndbm.h
> > 
> > Both packages contain the header ndbm.h.
> 
> 
> On June 20, db(3) was added to newlib.  Thus, newlib now ships db.h and 
> ndbm.h.
> 
> db.h will conflict with the new berkeley db package symlink, and ndbm.h 
> as you point out conflicts with gdbm.
> 
> However, since cygwin doesn't yet *export* the database functions, we 
> can hide this problem in the short term by:
>    1) cygwin package shouldn't ship db.h or ndbm.h yet
>    2) leave the db() symbols out of cygwin.din
> 
> That will give us some breathing room until 1.3.12.  Ummm...chris?  I 
> just saw the new announcement for 1.3.11-3 -- I think you removed ndbm.h
> 
> but db.h is still there... :-(

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/